# Interface IQuickAccessComputerExtension

All Superinterfaces:
  `IQuickAccessComputer`

public interface IQuickAccessComputerExtension extends IQuickAccessComputer
Extension interface for `IQuickAccessComputer` that provides ability to compute a new extra set of proposals whenever filter change.

This interfaces is intended to cover cases for which computing all possible elements statically with `IQuickAccessComputer.computeElements()` is either impossible or too expensive or not relevant; in which case it can be preferred to compute those proposals according to user input.

This interface is not intended to deal with filtering: the returned elements would still be filtered according to user input.

Since:
  3.116

## Method Summary

Modifier and Type
Method
Description
`QuickAccessElement[]`
`computeElements(String query, IProgressMonitor monitor)`
Returns elements that are relevant for the given query.

### Methods inherited from interface IQuickAccessComputer

`computeElements, needsRefresh, resetState`

## Method Details

### computeElements

QuickAccessElement[] computeElements(String query, IProgressMonitor monitor)
Returns elements that are relevant for the given query.

This method is not intended to deal with filtering: the returned elements will still be filtered according to user input.

This method will be called for each change in the query. So, if possible, it's preferred to use `IQuickAccessComputer.computeElements()` which is called only once per session and whose result is reused, leading to better performance.

Parameters:
  `query` - query text
  `monitor` - support for feedback and cancellation
Returns:
  the elements that can be inferred from the query.